( function() {
    var po = document.createElement( 'script' ); po.type = 'text/javascript'; po.async = true;
    po.src = '//platform.linkedin.com/in.js';
    po.append( 'api_key: ' + wppb_sc_linkedin_data.client_id + '\n' );
    po.append( 'authorize: true\n' );
    po.append( 'scope: r_basicprofile r_emailaddress\n' );
    var s = document.getElementsByTagName( 'script' )[0]; s.parentNode.insertBefore( po, s );
} )();

jQuery( document ).ready( function() {
    var wppb_sc_interval_id = setInterval( function() {
        if( typeof IN.User !== 'undefined' ) {
            jQuery( '.wppb-sc-linkedin-login' ).removeClass( 'wppb-sc-in-disabled-btn' );

            clearInterval( wppb_sc_interval_id );
        }
    }, 1000 );

    jQuery( '.wppb-sc-linkedin-login' ).click( function( e ) {
        e.preventDefault();

        jQuery( this ).addClass( 'wppb-sc-clicked' );

        var wppb_form_location = jQuery( this ).closest( 'div.wppb-sc-buttons-container' ).siblings( 'input[name=wppb_form_location]' ).val();
        if( wppb_form_location == '' || typeof wppb_form_location == 'undefined' ) {
            wppb_form_location = jQuery( this ).closest( 'div.wppb-sc-buttons-container' ).siblings( 'form' ).find( 'input[name=wppb_form_location]' ).val();
        }
        if( wppb_form_location != '' && typeof wppb_form_location != 'undefined' ) {
            localStorage.setItem( 'wppb_form_location', wppb_form_location );
        }

        var wppb_sc_form_ID_linkedin = jQuery( this ).data( 'wppb_sc_form_id_linkedin' );
        if( typeof wppb_sc_form_ID_linkedin != 'undefined' ) {
            localStorage.setItem( 'wppb_sc_form_ID_linkedin', wppb_sc_form_ID_linkedin );
        }

        wppbINLogin();
    } );
} );

function wppbINLogin() {
    if( typeof IN.User !== 'undefined' ) {
        if( IN.User.isAuthorized() ) {
            wppbGetProfileData();
        } else {
            IN.User.authorize( wppbGetProfileData );
        }
    } else {
        console.log( 'LinkedIn is loading! Try to click again!' );
    }

    return false;
}

function wppbGetProfileData() {
    var data = {
        'action'                    : 'wppb_sc_save_cookies',
        'wppb_sc_security_token'    : IN.ENV.auth.oauth_token,
        'wppb_sc_platform_name'     : 'linkedin'
    };

    jQuery.post( wppb_sc_linkedin_data.ajaxUrl, data, function() {
        IN.API.Raw( "/people/~:(firstName,lastName,id,email-address)" ).result( wppbINLoginCallback ).error( wppbOnError );
    } );
}

// Handle an error response from the API call
function wppbOnError( error ) {
    console.log( error );
}

function wppbINLoginCallback( platform_data ) {
    var wppb_sc_form_ID_linkedin = localStorage.getItem( 'wppb_sc_form_ID_linkedin' );
    if( wppb_sc_form_ID_linkedin === null || wppb_sc_form_ID_linkedin === 'undefined' ) {
        wppb_sc_form_ID_linkedin = '';
    }

    var data = {
        'platform'                  : 'linkedin',
        'action'                    : 'wppb_sc_handle_login_click',
        'platform_response'         : platform_data,
        'wppb_sc_security_token'    : IN.ENV.auth.oauth_token,
        'wppb_sc_form_ID'           : wppb_sc_form_ID_linkedin
    };

    wppbSCLogin( data, wppb_sc_linkedin_data, 'linkedin' );

    localStorage.removeItem( 'wppb_sc_form_ID_linkedin' );
}

jQuery( function() {
    jQuery( '.wppb-logout-url, #wp-admin-bar-logout a' ).click( function() {
        if( ( wppbGetCookie( 'wppb_sc_security_token' ) != '' ) && ( wppbGetCookie( 'wppb_sc_platform_name' ) == 'linkedin' ) ) {
            document.cookie = 'wppb_sc_security_token' + '=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';
            document.cookie = 'wppb_sc_platform_name' + '=; Path=/; Expires=Thu, 01 Jan 1970 00:00:01 GMT;';

            IN.User.logout( function() {} );
        }
    } );
} );