<?php
add_filter( 'wppb_sc_process_linkedin_response', 'wppb_sc_linkedin_response' );
function wppb_sc_linkedin_response( $platform_response ) {
    $platform_response['first_name'] = sanitize_text_field( $platform_response['firstName'] );
    $platform_response['last_name'] = sanitize_text_field( $platform_response['lastName'] );
    $platform_response['email'] = $platform_response['emailAddress'];

    return $platform_response;
}

/* Generate the LinkedIn button */
function wppb_sc_generate_linkedin_button( $form_ID ) {
    global $social_connect_instance;

    $class = 'wppb-sc-linkedin-login wppb-sc-in-disabled-btn wppb-sc-button';
    global $pagenow;
    if( $pagenow == 'wp-login.php' ) {
        $class .= '-wp-default';
    }

    if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] ) && $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] == 'text' ) {
        $class .= '-text';
    }

    $button = '';
    if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] ) && $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] == 'text' ) {
        $button = '<div class="wppb-sc-buttons-text-div">';
    }
    $check_if_linked = get_user_meta( get_current_user_id(), '_wppb_linkedin_connect_id' );
    if( isset( $social_connect_instance->forms_type ) && $social_connect_instance->forms_type == 'edit_profile' && ! empty( $check_if_linked ) ) {
        $class .= ' wppb-sc-disabled-btn';
    }
    $button .= '<a class="' . $class . '" href="#" data-wppb_sc_form_id_linkedin="' . $form_ID . '">';
    $button .= '<i class="wppb-sc-icon-linkedin wppb-sc-icon"></i>';
    if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] ) && $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] == 'text' ) {
        if( isset( $social_connect_instance->forms_type ) && $social_connect_instance->forms_type == 'edit_profile' ) {
            if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['linkedin-button-text-ep'] ) ) {
                $button .= esc_attr( $social_connect_instance->wppb_social_connect_settings[0]['linkedin-button-text-ep'] );
            } else {
                $button .= __( 'Link with LinkedIn', 'profile-builder' );
            }
        } else {
            if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['linkedin-button-text'] ) ) {
                $button .= esc_attr( $social_connect_instance->wppb_social_connect_settings[0]['linkedin-button-text'] );
            } else {
                $button .= __( 'Sign in with LinkedIn', 'profile-builder' );
            }
        }
    }

    $button .= '</a>';
    if( ! empty( $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] ) && $social_connect_instance->wppb_social_connect_settings[0]['buttons-style'] == 'text' ) {
        $button .= '</div>';
    }

    return $button;
}